Bug 587005 - RFE: add python3 subpackage to build of kdebindings
RFE: add python3 subpackage to build of kdebindings
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebindings (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 12:42 EDT by Dave Malcolm
Modified: 2014-09-23 10:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-23 10:09:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Not-yet-ready patch to devel/kdebindings.spec to add python3 subpackages (4.15 KB, patch)
2010-04-28 12:48 EDT, Dave Malcolm
no flags Details | Diff

  None (edit)
Description Dave Malcolm 2010-04-28 12:42:28 EDT
kdebindings emits PyKDE4 and PyKDE4-devel subpackages as part of its build

Recently in devel (for F-14) sip and PyQt4 gained python3 subpackages (the RFEs were bug 545124 and bug 586196 respectively).

I started looking at trying to adapt kdebindings.spec so that it emits both Python 2 and Python 3 builds of the KDE python bindings.

I'll attach what I've got so far.  It doesn't work yet.

I'm not yet familiar with cmake, so I'm not yet able to suggest a good way to set things up so that it builds the python stuff twice.
Comment 1 Dave Malcolm 2010-04-28 12:48:32 EDT
Created attachment 409901 [details]
Not-yet-ready patch to devel/kdebindings.spec to add python3 subpackages

This is what I've got so far.  It isn't ready yet; I've tried to indicate the areas where I'm unclear of what to do with "FIXME" comments.
Comment 2 Rex Dieter 2010-04-28 12:51:43 EDT
ah, this one might be a good candidate for separate python3-PyKDE4 packaging, though we might be able to pull it off here.
Comment 3 Rex Dieter 2011-04-13 11:43:04 EDT
got this mostly implemented, except for one last FIXME wrt kpluginfactory

I've mailed Simon Edwards (pykde4 upstream) for advice.
Comment 4 Rex Dieter 2014-09-23 10:09:18 EDT
we've python3- support everywhere now (sans kpluginfactory issues)

Note You need to log in before you can comment on or make changes to this bug.